
*** EX05 - ADD LINKS TO PLOTS OF POPULATIONS;
data pop_tips;
set canada_pop;
poplink = 'ALT="CLICK FOR PLOT" href=' || quote('provplot' || province || '.html');
run;

goptions reset=all
device=javameta
xpixels=800
ypixels=600
ftext='HelveticaItalicBold'
htext=3
gunit=pct
;                      

pattern1 v=s c=green;

axis1 
label=('POPULATION (THOUSANDS)')
order=(0 to 12000 by 2000)
;

axis2
label=('PROVINCE')
value=(j=r)
order=('NEWFOUNDLAND' 'PRINCE EDWARD ISLAND' 'NOVA SCOTIA' 'NEW BRUNSWICK' 'QUEBEC' 'ONTARIO' 'MANITOBA'
       'SASKATCHEWAN' 'ALBERTA' 'BRITISH COLUMBIA' 'YUKON' 'NORTHWEST TERRITORIES')
;

title1 h=5 "CANADIAN PROVINCES - 2001 POPULATION";

ods listing close;
ods html file='z:\canada_p2001.html' parameters=("ZoomControlEnabled"="false");   

proc gchart data=pop_tips;
hbar3d province/
sumvar = p2001
shape=block
raxis=axis1
maxis=axis2
nostats
cframe=graybb
html=poplink
;
where province ne '00';
format province $province. p2001 comma.;
run;
quit;     

ods html close;
ods listing;
