
*** EX08 - CREATE FILES OF METAGRAPHICS;
*** MENU-SELECTED CHARTS OF POPULATION, 1951 TO 2001 IN 5-YEAR INTERVALS ;
goptions reset=all device=javameta
         ftext='HelveticaBold' htext=3 gunit=pct
         xpixels=800 ypixels=600;                      

pattern1 v=s c=green;

axis1 label=('POPULATION (THOUSANDS)') order=(0 to 12000 by 2000);

axis2 label=('PROVINCE') value=(j=r)
order=('NEWFOUNDLAND' 'PRINCE EDWARD ISLAND' 'NOVA SCOTIA' 'NEW BRUNSWICK' 'QUEBEC' 'ONTARIO' 
       'MANITOBA' 'SASKATCHEWAN' 'ALBERTA' 'BRITISH COLUMBIA' 'YUKON' 'NORTHWEST TERRITORIES');


%macro popbars;
%do year=1951 %to 2001 %by 5;

data _null_;
set canada_pop;
where province eq '00';
pop = 1000 * p&year;
call symput('pop',put(pop,comma15.));
run;

filename _webout "z:\popbar&year..txt";

title1 h=5 "CANADIAN POPULATION &year (%left(%bquote(&pop)))";
proc gchart data=canada_pop;
hbar3d province/
sumvar = p&year
shape=block
raxis=axis1
maxis=axis2
nostats
cframe=graybb
;
where province ne '00';
format province $province. p&year comma.;
run;
quit;     

filename _webout;
%end;
%mend;

%popbars;
